@ECHO OFF&PUSHD %~DP0 &TITLE 辅助工具
:Menu
echo.&echo a.创建桌面歪歪语音
echo.&echo 1.屏蔽YY浏览器、游戏盒子等偷偷下载
echo.&echo 2.清理所有的后台残留缓存和应用数据
echo.&echo.
set /p a=输入回车：
if "%a%"=="a" Goto DesktopLnk
if "%a%"=="1" Goto StopDownFile
if "%a%"=="2" Goto StartDownFile
:StopDownFile
taskkill /f /im YY* >NUL 2>NUL
taskkill /f /im Ilc* >NUL 2>NUL
taskkill /f /im adb.exe >NUL 2>NUL
rd /s /q "%AppData%\duowan"2>NUL
md "%AppData%\duowan\yy\business"
md "%AppData%\duowan\yy\cache\download"
md "%AppData%\duowan\yy\yycomstore\2052"
echo. >"%AppData%\duowan\yy\yygame" 2>NUL
echo. >"%AppData%\duowan\yy\gamebox" 2>NUL
echo. >"%AppData%\duowan\yy\yyapkinst" 2>NUL
echo. >"%AppData%\duowan\yy\business\gameproxy" 2>NUL
echo. >"%AppData%\duowan\yy\business\garbagecleaner" 2>NUL
echo. >"%AppData%\duowan\yy\cache\download\constancy" 2>NUL
echo. >"%AppData%\duowan\yy\yycomstore\2052\com.yy.apphelper" 2>NUL
echo. >"%AppData%\duowan\YYExplorer" 2>NUL
echo. >"%AppData%\duowan\yyedownloader" 2>NUL
attrib +r "%AppData%\duowan\yy\yygame">NUL 2>NUL
attrib +r "%AppData%\duowan\yy\gamebox">NUL 2>NUL
attrib +r "%AppData%\duowan\yy\yyapkinst">NUL 2>NUL
attrib +r "%AppData%\duowan\yy\business\gameproxy">NUL 2>NUL
attrib +r "%AppData%\duowan\yy\business\garbagecleaner">NUL 2>NUL
attrib +r "%AppData%\duowan\yy\cache\wonderworld" >NUL 2>NUL
attrib +r "%AppData%\duowan\yy\cache\download\constancy">NUL 2>NUL
attrib +r "%AppData%\duowan\yyedownloader">NUL 2>NUL
SET E=完成!&GOTO MSGBOX
:StartDownFile
taskkill /f /im YY* >NUL 2>NUL
taskkill /f /im Ilc* >NUL 2>NUL
taskkill /f /im adb.exe >NUL 2>NUL
rd/s/q "%AppData%\duowan\yy"2>NUL
rd/s/q "%CommonProgramFiles%\duowan"2>NUL
rd/s/q "%CommonProgramFiles(x86)%\duowan"2>NUL
reg delete  HKCU\Software\duowan /f>NUL 2>NUL
SET E=完成!&GOTO MSGBOX
:DesktopLnk
mshta VBScript:Execute("Set a=CreateObject(""WScript.Shell""):Set b=a.CreateShortcut(a.SpecialFolders(""Desktop"") & ""\歪歪语音.lnk""):b.TargetPath=""%~dp0YY.exe"":b.WorkingDirectory=""%~dp0Bin"":b.Save:close")&SET E=完成!&GOTO MSGBOX
:MsgBox
if "%1"=="" mshta VBScript:MsgBox("%e%",vbSystemModal,"")(close)& Cls&Goto Menu